KJS::ScriptInterpreter class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ScriptInterpreter Class Reference

We inherit from Interpreter, to save a pointer to the HTML part that the interpreter runs for. More...

`#include <kjs_binding.h>`

Collaboration diagram for KJS::ScriptInterpreter:

[legend]
List of all members.

## Public Member Functions
| ScriptInterpreter (const Object &global, KHTMLPart *part)
DOMObject * | getDOMObject (void *objectHandle) const
void | putDOMObject (void *objectHandle, DOMObject *obj)
bool | deleteDOMObject (void *objectHandle)
void | clear ()
virtual void | mark ()
| Mark objects in the DOMObject cache.
KHTMLPart * | part () const
virtual int | rtti ()
void | setCurrentEvent (DOM::Event *evt)
| Set the event that is triggering the execution of a script, if any.
void | setInlineCode (bool inlineCode)
void | setProcessingTimerCallback (bool timerCallback)
bool | isWindowOpenAllowed () const
| "Smart" window.open policy
## Static Public Member Functions
void | forgetDOMObject (void *objectHandle)
| Static method.

## Detailed Description

We inherit from Interpreter, to save a pointer to the HTML part that the interpreter runs for.

The interpreter also stores the DOM object - >KJS::DOMObject cache.

Definition at line 83 of file kjs_binding.h.

## Member Function Documentation

void ScriptInterpreter::forgetDOMObject | ( | void * | objectHandle | ) | `[static]`

| Static method. Makes all interpreters forget about the object Definition at line 167 of file kjs_binding.cpp. References QPtrListIterator::current().

void ScriptInterpreter::mark | ( |  | ) | `[virtual]`

| Mark objects in the DOMObject cache. Definition at line 178 of file kjs_binding.cpp. References QPtrDict< DOMObject >::count(), and QPtrDictIterator::current().

void KJS::ScriptInterpreter::setCurrentEvent | ( | DOM::Event * | evt | ) | `[inline]`

| Set the event that is triggering the execution of a script, if any. Definition at line 117 of file kjs_binding.h.

bool ScriptInterpreter::isWindowOpenAllowed | ( |  | ) | const

| "Smart" window.open policy Definition at line 189 of file kjs_binding.cpp. References DOM::Event::handle().

The documentation for this class was generated from the following files:

- kjs_binding.h
- kjs_binding.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:40:21 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001